<?
require'../config.php';
$align='left';
$title='Настройки чата';
aut();
head();
who_add(0,'enter');



switch($mod){
default:
if ($_GET['i']==1)echo '<b>Изменения сохранены.</b><br />';
if ($_GET['i']==2)echo '<b>Ошибка. Сообщите администрации</b><br />';

echo '<br />&#187; <a href="setting?mod=general">Общее</a><br/>';
echo '&#187; <a href="setting?mod=privacy">Приватность</a><br/>';
echo '&#187; <a href="setting?mod=notify">Оповещения</a><br/>';
echo '&#187; <a href="setting?mod=setting">Настройки чата</a><br/>';
echo '&#187; <a href="setting?mod=bind">Клавиши</a><br/>';
break;

case general:
if (empty($act)){
if ($ver!='wml')echo '<form action="setting?mod='.$mod.'&amp;act=passedit&amp;'.SID.'" method="post">';
echo '<b>Изменить Пароль</b><br />';
echo 'Старый пароль:<br /><input name="pas0" maxlength="30" type="password" emptyok="false"/><br />';
echo 'Новый пароль:<br /><input name="pas1" maxlength="30" type="password" emptyok="false"/><br />';
echo 'Повторите пароль:<br /><input name="pas2" maxlength="30" type="password" emptyok="false"/><br />';
if ($ver=='wml'){
echo '<br /><anchor title="go">Изменить Пароль<go href="setting?mod='.$mod.'&amp;act=passedit&amp;'.SID.'" method="post">';
echo '
<postfield name="pas0" value="$pas0"/>
<postfield name="pas1" value="$pas1"/>
<postfield name="pas2" value="$pas2"/>
</go></anchor>';
}else{
echo '<br /><input type="submit" class="ibutton" value="Изменить Пароль"/></form>';
}

echo '<br /><dt></dt>';
if ($ver!='wml')echo '<form action="setting?mod='.$mod.'&amp;act=avtootvet&amp;'.SID.'" method="post">';
echo '<b>Текст автооответчика:</b><br />';
echo '<input name="avtootvet" value="'.$user['avtootvet'].'" maxlength="50" emptyok="false"/><br />';
if ($ver=='wml'){
echo '<br /><anchor title="go">Изменить<go href="setting?mod='.$mod.'&amp;act=avtootvet&amp;'.SID.'" method="post">';
echo '
<postfield name="avtootvet" value="$avtootvet"/>
</go></anchor>';
}else{
echo '<br /><input type="submit" class="ibutton" value="Изменить"/></form>';
}

echo '<br /><dt></dt>';
if ($ver!='wml')echo '<form action="setting?mod='.$mod.'&amp;act=email&amp;'.SID.'" method="post">';
echo '<b>Email для восстановления пароля:</b><br />';
echo '<input name="email" value="'.$user['email'].'" maxlength="50" emptyok="false"/><br />';
if ($ver=='wml'){
echo '<br /><anchor title="go">Изменить<go href="setting?mod='.$mod.'&amp;act=email&amp;'.SID.'" method="post">';
echo '
<postfield name="email" value="$email"/>
</go></anchor>';
}else{
echo '<br /><input type="submit" class="ibutton" value="Изменить"/></form>';
}

echo '<br /><dt></dt>';
if ($user['posts']>=$set['posts_nik']){

if ($ver!='wml')echo '<form action="setting?mod='.$mod.'&amp;act=nikedit&amp;'.SID.'" method="post">';
echo '<b>Изменить Ник</b><br />';
echo 'Ник:<br /><input name="nik" value="'.$user['user'].'" maxlength="50" emptyok="false"/><br />';
if ($ver=='wml'){
echo '<br /><anchor title="go">Изменить<go href="setting?mod='.$mod.'&amp;act=nikedit&amp;'.SID.'" method="post">';
echo '
<postfield name="nik" value="$nik"/>
</go></anchor>';
}else{
echo '<br /><input type="submit" class="ibutton" value="Изменить"/></form>';
}
}else{echo 'Смена ника доступна после '.$set['posts_nik'].' постов!';}
echo '<dt></dt>';
echo '<b>Ваш номер</b><br />';
echo 'Ваш номер: '.$user['id'].'<br />
Адрес страницы: http://'.$_SERVER['HTTP_HOST'].'/'.$user['id'].'<br /><br />';
echo '<br /><dt></dt>';
echo '<b>Часовой пояс</b><br />';

if ($ver!='wml')echo '<form action="setting?mod='.$mod.'&amp;act=poiasedit&amp;'.SID.'" method="post">';

echo 'Часовой пояс:<br /><select name="poias">
        <option value="180">(GMT +3:00) Москва, Санкт-Петербург</option>
        <option value="-660">(GMT -11:00) Самоа</option>
		<option value="-600">(GMT -10:00) Гавайи</option>
		<option value="-570">(GMT -9:30) Французская Полинезия</option>
		<option value="-540">(GMT -9:00) Аляска</option>
		<option value="-480">(GMT -8:00) Лос-Анджелес</option>
		<option value="-420">(GMT -7:00) Денвер</option>
		<option value="-360">(GMT -6:00) Чикаго</option>
		<option value="-300">(GMT -5:00) Нью-Йорк</option>
		<option value="-240">(GMT -4:00) Каракас</option>
		<option value="-210">(GMT -3:30) Ньюфаундленд</option>
		<option value="-180">(GMT -3:00) Буэнос-Айрес</option>
		<option value="0">(Greenwich) Лондон</option>
		<option value="60">(GMT +1:00) Берлин, Париж</option>
		<option value="120">(GMT +2:00) Киев, Минск, Калининград</option>
		<option value="180">(GMT +3:00) Москва, Санкт-Петербург</option>
		<option value="240">(GMT +4:00) Самара, Ереван</option>
		<option value="270">(GMT +4:30) Кабул</option>
		<option value="300">(GMT +5:00) Екатеринбург, Ташкент</option>
		<option value="330">(GMT +5:30) Дели, Коломбо</option>
		<option value="345">(GMT +5:45) Катманду</option>
		<option value="360">(GMT +6:00) Новосибирск, Алматы</option>
		<option value="390">(GMT +6:30) Янгон</option>
		<option value="420">(GMT +7:00) Красноярск, Бангкок</option>
		<option value="480">(GMT +8:00) Иркутск, Пекин</option>
		<option value="525">(GMT +8:45) Кейгуна, Юкла</option>
		<option value="540">(GMT +9:00) Якутск, Токио</option>
		<option value="570">(GMT +9:30) Аделаида, Дарвин</option>
		<option value="600">(GMT +10:00) Владивосток, Сидней</option>
		<option value="660">(GMT +11:00) Магадан</option>
		<option value="690">(GMT +11:30) Норфолк</option>
		<option value="720">(GMT +12:00) Камчатка</option>
		<option value="765">(GMT +12:45) Чатем</option>
		<option value="780">(GMT +13:00) Тонга</option>
		<option value="840">(GMT +14:00) Острова Лайн</option>
        </select><br/>';
if ($ver=='wml'){
echo '<br /><anchor title="go">Изменить<go href="setting?mod='.$mod.'&amp;act=poiasedit&amp;'.SID.'" method="post">';
echo '
<postfield name="poias" value="$poias"/>
</go></anchor>';
}else{
echo '<br /><input type="submit" class="ibutton" value="Изменить"/></form>';
}


}else if ($act == 'passedit'){
$pas0= check($_POST['pas0']);
$pas1= check($_POST['pas1']);
$pas2= check($_POST['pas2']);

if (md5($pas0) != $user['pass'])$err = 'Неверный пароль!<br />';

if (strlen2($pas1) < 6)$err = 'Пароль не должен быть короче 6 символов!<br />';
if ($pas1 != $pas2)$err = 'Пароли не совпадают!<br />';
if (empty($err)){
if($db->sql_query('UPDATE `users` SET `pass` = "'.md5($pas1).'" WHERE `id` = "'.$user['id'].'"')){header ('Location: setting?i=1&'.SID);  exit;
}else{header ('Location: setting?i=2&'.SID);  exit;}
}else{
echo $err;
if($mod)echo gb.'<a href="'.H.'my/setting">Настройки чата</a>'.div;
echo gb.'<a href="'.H.'my/index">Личный кабинет</a>'.div;
echo gb.'<a href="'.H.'enter">Прихожая</a>'.div;
foot();
}
}else if ($act == 'nikedit'){
$nik= check($_POST['nik']);
if ($user['translit']==1)$nik = translit($nik);

if ($set['rus']==1){
$lat_nik = rus_to_lat(tolower($nik));
$help = 'В нике цифры разрешено использовать только вместе со знаками латинского или русского алфавита.<br /><br />';
}else{
$lat_nik = tolower($nik);
$help = 'В нике цифры разрешено использовать только вместе со знаками латинского алфавита.<br /><br />';
}

if(ctype_digit($nik))$err = $help;
else if (preg_match("/[^1-9a-zA-Z\-\@\*\(\)\?\!\~\_\=\[\]]+/", $lat_nik))$msg = 'В нике обнаружены запрешенные знаки!<br />';
else if ($nik === "")$err = $emp;
elseif (strpos($nik,"|")!==false)$msg = 'В нике обнаружены запрешенные знаки!<br /><br />';
if (strlen2($nik) < 4) $err = 'Ник не должен содержать менее 4-ёх знаков!<br /><br />';
else if (strlen2($nik) > 15) $err = 'Ник не должен содержать более 15 знаков!<br /><br />';
$runik = rus_to_k($nik);
$db->sql_query ("select * from users where ruser = '".check($runik)."' and id != '".$user['id']."'");
if (mysql_affected_rows() == 0) {
}else{
$err = 'Указанный вами ник <b>'.$nik.'</b> уже занят, выберите другой<br /><br />';
}
if (empty($err)){
if ($user['posts']>=$set['posts_nik']){
if($db->sql_query('UPDATE `users` SET `user` = "'.check($nik).'", ruser = "'.$runik.'" WHERE `id` = "'.$user['id'].'"'))
{
header ('Location: setting?i=1&'.SID);  exit;
}else{
header ('Location: setting?i=2&'.SID);  exit;
}
}else{header ('Location: setting?i=2&'.SID);  exit;}
}else{
echo $err;
if($mod)echo gb.'<a href="'.H.'my/setting">Настройки чата</a>'.div;
echo gb.'<a href="'.H.'my/index">Личный кабинет</a>'.div;
echo gb.'<a href="'.H.'enter">Прихожая</a>'.div;
foot();
}

}else if ($act == 'poiasedit'){
$poias= check($_POST['poias']);
if($db->sql_query('UPDATE `users` SET `poias` = "'.$poias.'" WHERE `id` = "'.$user['id'].'"'))
{
header ('Location: setting?i=1&'.SID);  exit;
}else{
header ('Location: setting?i=2&'.SID);  exit;
}


}else if ($act == 'email'){

$email= check($_POST['email']);
if($db->sql_query('UPDATE `users` SET `email` = "'.$email.'" WHERE `id` = "'.$user['id'].'"'))
{
header ('Location: setting?i=1&'.SID);  exit;
}else{
header ('Location: setting?i=2&'.SID);  exit;
}

}else if ($act == 'avtootvet'){

$avtootvet= check($_POST['avtootvet']);
if($db->sql_query('UPDATE `users` SET `avtootvet` = "'.$avtootvet.'" WHERE `id` = "'.$user['id'].'"'))
{
header ('Location: setting?i=1&'.SID);  exit;
}else{
header ('Location: setting?i=2&'.SID);  exit;
}
}

break;

// Приватность
case privacy:
if (empty($act)){
if ($ver!='wml')echo '<form action="setting?mod='.$mod.'&amp;act=edit&amp;'.SID.'" method="post">';


echo '<br />Кто может писать мне личные сообщения:<br />
<select name="pp_m_s">
<option value="0">Все пользователи</option>
<option value="1">Только друзья</option>
<option value="2">Никто</option>
</select><br/>';

echo 'Кто может смотреть список моих друзей:<br />
<select name="pp_c_fr">
<option value="0">Все пользователи</option>
<option value="1">Только друзья</option>
<option value="2">Никто</option>
</select><br/>';
/*
echo 'Кто может видеть мою стену:<br />
<select name="pp_c_st">
<option value="0">Все пользователи</option>
<option value="1">Только друзья</option>
<option value="2">Никто</option>
</select><br/>';

echo 'Кто может оставлять сообщения у меня на стене:<br />
<select name="pp_st_s">
<option value="0">Все пользователи</option>
<option value="1">Только друзья</option>
<option value="2">Никто</option>
</select><br/>';
*/
echo 'Кто может оставлять оставлять комментарии к фото в анкете:<br />
<select name="pp_f_s">
<option value="0">Все пользователи</option>
<option value="1">Только друзья</option>
<option value="2">Никто</option>
</select><br/>';

/*echo 'Кто может просматривать мои альбомы:<br />
<select name="pp_al">
<option value="0">Все пользователи</option>
<option value="1">Только друзья</option>
<option value="2">Никто</option>
</select><br/>';

echo 'Кто может оставлять комментарии к фото в альбомах:<br />
<select name="pp_al_k">
<option value="0">Все пользователи</option>
<option value="1">Только друзья</option>
<option value="2">Никто</option>
</select><br/>';*/

echo 'Кто может видеть мои подарки:<br />
<select name="pp_gifts">
<option value="0">Все пользователи</option>
<option value="1">Только друзья</option>
<option value="2">Никто</option>
</select><br/>';


if ($ver=='wml'){
echo '<br /><anchor title="go">Сохранить<go href="setting?mod='.$mod.'&amp;act=edit&amp;'.SID.'" method="post">';
echo '
<postfield name="pp_m_s" value="$pp_m_s"/>
<postfield name="pp_c_fr" value="$pp_c_fr"/>
<postfield name="pp_c_st" value="$pp_c_st"/>
<postfield name="pp_st_s" value="$pp_st_s"/>
<postfield name="pp_f_s" value="$pp_f_s"/>
<postfield name="pp_al" value="$pp_al"/>
<postfield name="pp_al_k" value="$pp_al_k"/>
<postfield name="pp_gifts" value="$pp_gifts"/>
</go></anchor>';
echo '<br/><br />';
}else{
echo '<br /><input type="submit" class="ibutton" value="Сохранить"/></form><br /><br />';
}
}else{
$pp1= check($_POST['pp_m_s']);
$pp2= check($_POST['pp_c_fr']);
$pp3= check($_POST['pp_c_st']);
$pp4= check($_POST['pp_st_s']);
$pp5= check($_POST['pp_f_s']);
$pp6= check($_POST['pp_al']);
$pp7= check($_POST['pp_al_k']);
$pp8= check($_POST['pp_gifts']);

if($db->sql_query('UPDATE `users` SET `pp_m_s` = "'.$pp1.'", `pp_c_fr` = "'.$pp2.'", `pp_c_st` = "'.$pp3.'", `pp_st_s` = "'.$pp4.'", `pp_f_s` = "'.$pp5.'", `pp_al` = "'.$pp6.'", `pp_al_k` = "'.$pp7.'", `pp_gifts` = "'.$pp8.'" WHERE `id` = "'.$user['id'].'"'))
{
header ('Location: setting?i=1&'.SID);  exit;
}else{
header ('Location: setting?i=2&'.SID);  exit;
}
}

break;

// Оповещения
case notify:
if (empty($act)){
if ($ver!='wml')echo '<form action="setting?mod='.$mod.'&amp;act=edit&amp;'.SID.'" method="post">';
echo '<b>Настройки оповещений на </b><br />';
if ($ver=='wml'){
echo '<br />Оповещать, когда Вам предлагают стать друзьями(e-mail/приват):<br />
<select name="fr_notify">
<option value="1">Да</option>
<option value="0">Нет</option>
</select><br/>';

echo 'Оповещать о новых личных сообщениях(e-mail):<br />
<select name="pm_notify">
<option value="1">Да</option>
<option value="0">Нет</option>
</select><br/>';
/*
echo 'Оповещать о новых сообщениях на стене(e-mail/приват):<br />
<select name="st_notify">
<option value="1">Да</option>
<option value="0">Нет</option>
</select><br/>';
*/
echo 'Оповещать, когда комментируют Ваши фотографии(e-mail/приват):<br />
<select name="ph_notify">
<option value="1">Да</option>
<option value="0">Нет</option>
</select><br/>';

/*echo 'Оповещать, когда Вас приглашают в группы(e-mail/приват):<br />
<select name="gr_notify">
<option value="1">Да</option>
<option value="0">Нет</option>
</select><br/>';*/

echo 'Оповещать о подарках(e-mail/приват):<br />
<select name="gifts_notify">
<option value="1">Да</option>
<option value="0">Нет</option>
</select><br/>';
}else{
if ($user['fr_notify']==1){
echo '<br />Оповещать, когда Вам предлагают стать друзьями(e-mail/приват):<br />
<input type="radio" name="fr_notify" value="1" checked/>Да<br />
<input type="radio" name="fr_notify" value="0"/>Нет<br />';
}else{
echo '<br />Оповещать, когда Вам предлагают стать друзьями(e-mail/приват):<br />
<input type="radio" name="fr_notify" value="1"/>Да<br />
<input type="radio" name="fr_notify" value="0" checked/>Нет<br />';
}
if ($user['pm_notify']==1){
echo 'Оповещать о новых личных сообщениях(e-mail):<br />
<input type="radio" name="pm_notify" value="1" checked/>Да<br />
<input type="radio" name="pm_notify" value="0"/>Нет<br />';
}else{
echo 'Оповещать о новых личных сообщениях(e-mail):<br />
<input type="radio" name="pm_notify" value="1"/>Да<br />
<input type="radio" name="pm_notify" value="0" checked/>Нет<br />';
}
if ($user['st_notify']==1){
echo 'Оповещать о новых сообщениях на стене(e-mail/приват):<br />
<input type="radio" name="st_notify" value="1" checked/>Да<br />
<input type="radio" name="st_notify" value="0"/>Нет<br />';
}else{
echo 'Оповещать о новых сообщениях на стене(e-mail/приват):<br />
<input type="radio" name="st_notify" value="1"/>Да<br />
<input type="radio" name="st_notify" value="0" checked/>Нет<br />';
}
if ($user['ph_notify']==1){
echo 'Оповещать, когда комментируют Ваши фотографии(e-mail/приват):<br />
<input type="radio" name="ph_notify" value="1" checked/>Да<br />
<input type="radio" name="ph_notify" value="0"/>Нет<br />';
}else{
echo 'Оповещать, когда комментируют Ваши фотографии(e-mail/приват):<br />
<input type="radio" name="ph_notify" value="1"/>Да<br />
<input type="radio" name="ph_notify" value="0" checked/>Нет<br />';
}
/*
if ($user['gr_notify']==1){
echo 'Оповещать, когда Вас приглашают в группы(e-mail/приват):<br />
<input type="radio" name="gr_notify" value="1" checked/>Да<br />
<input type="radio" name="gr_notify" value="0"/>Нет<br />';
}else{
echo 'Оповещать, когда Вас приглашают в группы(в приват):<br />
<input type="radio" name="gr_notify" value="1"/>Да<br />
<input type="radio" name="gr_notify" value="0" checked/>Нет<br />';
}
*/
if ($user['gift']==1){
echo 'Оповещать о новых подарках(в приват):<br />
<input type="radio" name="gift" value="1" checked/>Да<br />
<input type="radio" name="gift" value="0"/>Нет<br />';
}else{
echo 'Оповещать о новых подарках(в приват):<br />
<input type="radio" name="gift" value="1"/>Да<br />
<input type="radio" name="gift" value="0" checked/>Нет<br />';
}
if ($user['gift_2']==1){
echo 'Оповещать о начислении денег с продажи подарка(в приват):<br />
<input type="radio" name="gift_2" value="1" checked/>Да<br />
<input type="radio" name="gift_2" value="0"/>Нет<br />';
}else{
echo 'Оповещать о начислении денег с продажи подарка(в приват):<br />
<input type="radio" name="gift_2" value="1"/>Да<br />
<input type="radio" name="gift_2" value="0" checked/>Нет<br />';
}
}

if ($ver=='wml'){
echo '<br /><anchor title="go">Сохранить<go href="setting?mod='.$mod.'&amp;act=edit&amp;'.SID.'" method="post">';
echo '<postfield name="fr_notify" value="$fr_notify"/>
<postfield name="pm_notify" value="$pm_notify"/>
<postfield name="st_notify" value="$st_notify"/>
<postfield name="ph_notify" value="$ph_notify"/>
<postfield name="gr_notify" value="$gr_notify"/>
<postfield name="gift" value="$gift"/>
<postfield name="gift_2" value="$gift_2"/>
</go></anchor>';
echo '<br/><br />';
}else{
echo '<br /><input type="submit" class="ibutton" value="Сохранить"/></form><br /><br />';
}
}else{
$nf1= check($_POST['fr_notify']);
$nf2= check($_POST['pm_notify']);
$nf3= check($_POST['st_notify']);
$nf4= check($_POST['ph_notify']);
$nf5= check($_POST['gr_notify']);
$nf6= check($_POST['gift']);
$nf7= check($_POST['gift_2']);

if($db->sql_query('UPDATE `users` SET `fr_notify` = "'.$nf1.'", `pm_notify` = "'.$nf2.'", `st_notify` = "'.$nf3.'", `ph_notify` = "'.$nf4.'", `gr_notify` = "'.$nf5.'", `gift` = "'.$nf6.'", `gift_2` = "'.$nf7.'"  WHERE `id` = "'.$user['id'].'"'))
{
header ('Location: setting?i=1&'.SID);  exit;
}else{
header ('Location: setting?i=2&'.SID);  exit;
}
}

break;



// Настройки чата
case setting:
if (empty($act)){
if ($ver!='wml')echo '<form action="setting?mod='.$mod.'&amp;act=edit&amp;'.SID.'" method="post">';

echo '<br />Сообщений на стр.(осн.):<br /><input name="max" value="'.$user['max'].'" maxlength="2" size="2" emptyok="false"/><br />';

echo '<br />Сообщений на стр.(приват):<br /><input name="max_pr" value="'.$user['max_pr'].'" maxlength="2" size="2" emptyok="false"/><br />';

echo '<br />Поле ввода (xHTML):<br />Ширина:<input name="pole1" value="'.$user['pole1'].'" maxlength="2" size="2" emptyok="false"/> Длина:<input name="pole2" value="'.$user['pole2'].'" maxlength="2" size="2" emptyok="false"/><br />';


echo 'Время автообновления в чате(сек):<br/>
<select name="avr">';
if($user['avr'] == 10)echo '<option value="10">10</option>';
else if($user['avr'] == 15)echo '<option value="15">15</option>';
else if($user['avr'] == 20)echo '<option value="20">20</option>';
else if($user['avr'] == 25)echo '<option value="25">25</option>';
else if($user['avr'] == 30)echo '<option value="30">30</option>';
else if($user['avr'] == 0) echo '<option value="0">Отключить</option>';
echo '<option value="0">Отключить</option>
<option value="10">10</option>
<option value="15">15</option>
<option value="20">20</option>
<option value="25">25</option>
<option value="30">30</option>
</select><br/>';
if ($ver!='wml')
{
	echo 'Разделитель сообщений в комнате:<br/>
	<select name="razdel">';
	if($user['razdelitel'] == 0)
	{
		echo '<option value="0">Отключин</option>
			<option value="1">Включить</option>';
	}else
	{
		echo '<option value="1">Включен</option>
			<option value="0">Отключить</option>';
	}
}
echo '</select><br/>';

echo 'X-Статусы:<br/>
<select name="pic_stat">';
if($user['pic_stat'] == 0)echo '<option value="0">Не показаны</option>';
else if($user['pic_stat'] == 1)echo '<option value="1">Показаны</option>';
else if($user['pic_stat'] == 2)echo '<option value="2">Только в xHTML</option>';
else if($user['pic_stat'] == 3)echo '<option value="3">Только в WML</option>';
echo '<option value="0">Не показаны</option>
<option value="1">Показаны</option>
<option value="2">Только в xHTML</option>
<option value="3">Только в WML</option>
</select><br/>';


echo 'Транслит:<br/>
<select name="translit">';
if ($user['translit']==0){
echo '<option value="0">Отключен</option>';
echo '<option value="1">Включен</option>';
}else if ($user['translit']==1){
echo '<option value="1">Включен</option>';
echo '<option value="0">Отключен</option>';
}
echo '</select><br/>';

echo 'Эмоции:<br/>
<select name="emo">';
if ($user['emo']==0){
echo '<option value="0">Отключены</option>';
echo '<option value="1">Включены</option>';
}else if ($user['emo']==1){
echo '<option value="1">Включены</option>';
echo '<option value="0">Отключены</option>';
}
echo '</select><br/>';

echo 'Цвет шрифта:<br/>
<select name="color">';
if ($user['color']==0){
echo '<option value="0">Отключен</option>';
echo '<option value="1">Включен</option>';
}else if ($user['color']==1){
echo '<option value="1">Включен</option>';
echo '<option value="0">Отключен</option>';
}
echo '</select><br/>';

if ($user['level']>=4){
echo 'Шрифт (BBcode):<br/>
<select name="dd">';
if ($user['dd']==0){
echo '<option value="0">Отключен</option>';
echo '<option value="1">Включен</option>';
}else if ($user['dd']==1){
echo '<option value="1">Включен</option>';
echo '<option value="0">Отключен</option>';
}
echo '</select><br/>';
}

echo 'Анкета:<br/>
<select name="anketa">';
if ($user['anketa']==0){
echo '<option value="0">Сокращенная</option>';
echo '<option value="1">Полная</option>';
}else if ($user['anketa']==1){
echo '<option value="1">Полная</option>';
echo '<option value="0">Сокращенная</option>';
}
echo '</select><br/>';

echo 'Софт кнопки:<br/>
<select name="softk">';
if ($user['softk']==0){
echo '<option value="0">Вверху</option>
<option value="1">Внизу</option>
<option value="2">Вверху/Внизу</option>';
}else if ($user['softk']==1){
echo '<option value="1">Внизу</option>
<option value="0">Вверху</option>
<option value="2">Вверху/Внизу</option>';
}else if ($user['softk']==2){
echo '<option value="2">Вверху/Внизу</option>
<option value="1">Внизу</option>
<option value="0">Вверху</option>';
}
echo '</select><br/>';


echo 'Поле ввода в комнате:<br/>
<select name="polevv">';
if ($user['polevv']==0){
echo '<option value="0">Отключено</option>
<option value="1">Вверху</option>
<option value="2">Внизу</option>
<option value="3">Вверху/Внизу</option>';
}else if ($user['polevv']==1){
echo '<option value="1">Вверху</option>
<option value="0">Отключено</option>
<option value="2">Внизу</option>
<option value="3">Вверху/Внизу</option>';
}else if ($user['polevv']==2){
echo '<option value="2">Внизу</option>
<option value="1">Вверху</option>
<option value="0">Отключено</option>
<option value="3">Вверху/Внизу</option>';
}
else if ($user['polevv']==3){
echo '<option value="3">Вверху/Внизу</option>
<option value="2">Внизу</option>
<option value="1">Вверху</option>
<option value="0">Отключено</option>';
}
echo '</select><br/>';

if ($ver=='wml'){
echo '<br /><anchor title="go">Сохранить<go href="setting?mod='.$mod.'&amp;act=edit&amp;'.SID.'" method="post">';
echo '<postfield name="max" value="$max"/>
<postfield name="max_pr" value="$max_pr"/>
<postfield name="pole1" value="$pole1"/>
<postfield name="pole2" value="$pole2"/>
<postfield name="pic_stat" value="$pic_stat"/>
<postfield name="translit" value="$translit"/>
<postfield name="dd" value="$dd"/>
<postfield name="emo" value="$emo"/>
<postfield name="color" value="$color"/>
<postfield name="anketa" value="$anketa"/>
<postfield name="softk" value="$softk"/>
<postfield name="polevv" value="$polevv"/>
</go></anchor>';
echo '<br/><br />';
}else{
echo '<br /><input type="submit" class="ibutton" value="Сохранить"/></form><br /><br />';
}
}else{
$max= intval($_POST['max']);
$max_pr= intval($_POST['max_pr']);
$pole1= intval($_POST['pole1']);
$pole2= intval($_POST['pole2']);
$pic_stat= intval($_POST['pic_stat']);
$tr= intval($_POST['translit']);
if($_POST['razdel'] != 0) $razdelitel = 1; else $razdelitel = 0;
$avr0= intval($_POST['avr']);
$color= intval($_POST['color']);
$emo= intval($_POST['emo']);
$dd= intval($_POST['dd']);
$anketa= intval($_POST['anketa']);
$softk= intval($_POST['softk']);
$polevv= intval($_POST['polevv']);

if($db->sql_query('UPDATE `users` SET `max` = "'.$max.'", `max_pr` = "'.$max_pr.'", `pole1` = "'.$pole1.'", `pole2` = "'.$pole2.'", `pic_stat` = "'.$pic_stat.'", `translit` = "'.$tr.'", `razdelitel` = "'.$razdelitel.'", `avr` = "'.$avr0.'", `color` = "'.$color.'", `emo` = "'.$emo.'", `dd` = "'.$dd.'", `anketa` = "'.$anketa.'", `softk` = "'.$softk.'", `polevv` = "'.$polevv.'" WHERE `id` = "'.$user['id'].'"'))
{
header ('Location: setting?i=1&'.SID);  exit;
}else{
header ('Location: setting?i=2&'.SID);  exit;
}
}

break;



case bind:

if (empty($act)){
if ($ver!='wml')echo '<form action="setting?mod='.$mod.'&amp;act=edit&amp;'.SID.'" method="post">';
$bs=explode('|',$user['binds']);

echo 'Сказать: <input size="1" name="b0" maxlength="1" value="'.$bs[0].'"/><br/>';
echo 'Обновить: <input size="1" name="b1" maxlength="1" value="'.$bs[1].'"/><br/>';


echo 'Кто в комнате?: <input size="1" name="b2" maxlength="1" value="'.$bs[2].'"/><br/>';
echo 'Кто где?: <input size="1" name="b3" maxlength="1" value="'.$bs[3].'"/><br/>';
echo 'Смайлы: <input size="1" name="b4" maxlength="1" value="'.$bs[4].'"/><br/>';
echo 'Сменить Топик: <input size="1" name="b5" maxlength="1" value="'.$bs[5].'"/><br/>';


echo 'История: <input size="1" name="b6" maxlength="1" value="'.$bs[6].'"/><br/>';
echo 'Прихожая: <input size="1" name="b7" maxlength="1" value="'.$bs[7].'"/><br/>';

if ($ver=='wml'){
echo '<br /><anchor title="go">Сохранить<go href="setting?mod='.$mod.'&amp;act=edit&amp;'.SID.'" method="post">';
echo '
<postfield name="pas0" value="$pas0"/>
<postfield name="pas1" value="$pas1"/>
<postfield name="pas2" value="$pas2"/>
</go></anchor>';
}else{
echo '<br /><input type="submit" class="ibutton" value="Сохранить"/></form>';
}

}else{

$b0= check(intval($_POST['b0']));
$b1= check(intval($_POST['b1']));
$b2= check(intval($_POST['b2']));
$b3= check(intval($_POST['b3']));
$b4= check(intval($_POST['b4']));
$b5= check(intval($_POST['b5']));
$b6= check(intval($_POST['b6']));
$b7= check(intval($_POST['b7']));

$binds = $b0.'|'.$b1.'|'.$b2.'|'.$b3.'|'.$b4.'|'.$b5.'|'.$b6.'|'.$b7;

if($db->sql_query('UPDATE `users` SET `binds` = "'.$binds.'" WHERE `id` = "'.$user['id'].'"'))
{
header ('Location: setting?i=1&'.SID);  exit;
}else{
header ('Location: setting?i=2&'.SID);  exit;
}

}
break;


}
echo '<br />';
if($mod)echo gb.'<a href="'.H.'my/setting">Настройки чата</a>'.div;
echo gb.'<a href="'.H.'my/index">Личный кабинет</a>'.div;
echo gb.'<a href="'.H.'enter">Прихожая</a>'.div;
foot();
?>

